dbfsamp
Prev | Orchestra Opcodes and Operators | Next

## dbfsamp

dbfsamp — Returns the decibel equivalent of the raw amplitude x, relative to full scale amplitude.

## Description

Returns the decibel equivalent of the raw amplitude x, relative to full scale amplitude. Full scale is assumed to be 16 bit. New is Csound version 4.10.

## Syntax

    dbfsamp(x)  (init-rate or control-rate args only)

## Examples

Here is an example of the dbfsamp opcode. It uses the file dbfsamp.csd.

Example 98. Example of the dbfsamp opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o dbfsamp.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      iamp = 30000
      idb = dbfsamp(iamp)

      print idb
    endin

    </CsInstruments>
    <CsScore>

    ; Play Instrument #1 for one second.
    i 1 0 1
    e

    </CsScore>
    </CsoundSynthesizer>

Its output should include lines like this:

    instr 1:  idb = -0.767

## See Also

ampdb, ampdbfs, dbamp

## Credits

Example written by Kevin Conder.

Prev | Up | Next
dbamp | Home | dcblock